package giden.CORE;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;

public class GUINetwork extends UiNetwork
{
    
    public GUINetwork(Network AuxNet)
    {
        super(AuxNet);
    }   
    public GUINetwork()
    {
        super();
    }   
    
    
    //----------------------------------------------------------
    // called from submod
    //----------------------------------------------------------
    /*
    public Edge XXCreateEdge(Node source, Node target)
    {
        IdManager.DsdPresetEdgeId(Net.GetCreatedEdgesCount());
        GUINode gui_source = Node2GUINode(source);
        GUINode gui_target = Node2GUINode(target);
        UiEdge ui_edge = GUI.draw_canvas.createEdge(gui_source,gui_target);
        if(UserInfo!=null)
            UserInfo.AddNetworkSolverEdge(ui_edge);
        Edge edge = UiEdge2Edge(ui_edge);
        
        return edge;
    }
    */
    
    //----------------------------------------------------------
    //----------------------------------------------------------
    /*
    public Edge CreateEdge(Node source, Node target,int param)
    {
        GUINode gui_source = Node2GUINode(source);
        GUINode gui_target = Node2GUINode(target);
        UiEdge ui_edge = GUI.draw_canvas.createEdge(gui_source,gui_target,param);
        if(UserInfo!=null)
            UserInfo.AddNetworkSolverEdge(ui_edge);
        Edge edge = UiEdge2Edge(ui_edge);
        return edge;
    }
    */
    
    
    //----------------------------------------------------------
    //----------------------------------------------------------
    public GUINodeListIter GetNodeListIter()
    {
        return new GUINodeListIter(this);
    }
    //----------------------------------------------------------
    //----------------------------------------------------------
    public GUIEdgeListIter GetEdgeListIter()
    {
        return new GUIEdgeListIter(this);
    }
    
    //----------------------------------------------------------
    //----------------------------------------------------------
    public GUINode Node2GUINode(Node node)
    {
        return (GUINode) Node2UiNode(node);
    }
    
    //----------------------------------------------------------
    //----------------------------------------------------------
    public GUIEdge Edge2GUIEdge(Edge edge)
    {
        return (GUIEdge) Edge2UiEdge(edge);
    }
    //----------------------------------------------------------
    // call made from Graph
    //----------------------------------------------------------
    public void DeleteNodeX(Node node)
    {
        GUINode guinode = Node2GUINode(node);
        if(guinode!=null)
        {
            IdManager.ClearNodeId(NodeId.GetObj(guinode).toString());
            // owenj 19-Mar-1999 (for reading files before canvas created)
            if (guinode.GetInfo().canvas != null)
                guinode.GetInfo().canvas.removeGUINodeFromCanvas(guinode);
        }
        //GetNet().DeleteNode(node);
    }
    //----------------------------------------------------------
    //----------------------------------------------------------
    public void DeleteEdgeX(Edge edge)
    {
        GUIEdge guiedge = Edge2GUIEdge(edge);
        if(guiedge!=null)
        {
            IdManager.ClearEdgeId(EdgeId.GetObj(guiedge).toString());
            
            // owenj 19-Mar-1999 (for reading files before canvas created)
            if (guiedge.GetInfo().canvas != null)
                guiedge.GetInfo().canvas.removeGUIEdgeFromCanvas(guiedge);
        }
    }
    //----------------------------------------------------------
    //----------------------------------------------------------
    public GUINode GetSource(UiEdge uiedge)
    {
        return (GUINode)GetUiSource(uiedge);
    }
    //----------------------------------------------------------
    //----------------------------------------------------------
    public GUINode GetTarget(UiEdge uiedge)
    {
        return (GUINode)GetUiTarget(uiedge);
    }
    //----------------------------------------------------------
    //----------------------------------------------------------
    public GUINode GetOpposite(UiEdge uiedge,UiNode uinode)
    {
        return (GUINode) GetUiOpposite(uiedge,uinode);
    }
    
    
}
