package giden.CORE;
//import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;

public class GdnNetworkFileV3
{
    // Section and Subsection tags
    String UINET_TAG="UINET";
    String NODES_TAG="NODES";
    String EDGES_TAG="EDGES";
    String OBJECTS_TAG="OBJECTS";
        
    // Column heading tags
    String INDEX_TAG="GdnIndex";
    String X_TAG="GdnX";
    String Y_TAG="GdnY";
    String RADIUS_TAG="GdnRadius";
    
    String LOCATION_TAG="GdnLoc";
    String SOURCE_TAG="GdnSource";
    String TARGET_TAG="GdnTarget";
    
    // Data type tags
    String INT_TAG="int";
    String DOUBLE_TAG="double";
    String STRING_TAG="string";
    
    // internal values
    String  Version_3_0="v:3.0";
    boolean FileValid;
    
    int UiNetIndex;
    int UiNetNodeCount;
    int UiNetEdgeCount;
    int UiNetMaxNodeIndex;
    int UiNetMaxEdgeIndex;
    String UiNetNodeColNames[];
    String UiNetEdgeColNames[];
    int    UiNetNodeColTypes[];
    int    UiNetEdgeColTypes[];
    NodeArray UiNetNodeArrays[];
    EdgeArray UiNetEdgeArrays[];
    
    int GdnNodeColCount;
    int GdnEdgeColCount;
    
    
    GdnNetworkFileV3()
    {
        GdnNodeColCount=3;
        GdnEdgeColCount=3;
        FileValid=false;
    }
    public boolean getFileValid()
    {
        return FileValid;
    }
    
    String DataTypeToTag(int datatype)
    {
        String result=null;
        
        switch(datatype)
        {
            case IndexArray.INTEGER_TYPE:
            result=INT_TAG;
            break;
                    
            case IndexArray.DOUBLE_TYPE:
            result=DOUBLE_TAG;
            break;
                    
            case IndexArray.STRING_TYPE:
            result=STRING_TAG;    
            break;
        }
        return result;
    }  
}