package  giden.CORE;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
import java.awt.*;

/**
 * Copyright (c) 1993-2004 C. R. Coullard, D. S. Dilworth, J. H. Owen,
 * All Rights Reserved.
 * <BR>
 * We make no representations or warranties about the suitability of
 * the software, either express or implied, including but not limited
 * to the implied warranties of merchantability, fitness for a
 * particular purpose, or non-infringement. We shall not be liable for
 * any damages suffered by user as a result of using, modifying or
 * distributing this software or its derivatives.
 * <p>
 * UiNodeInfo provides data members that define how an node
 * is drawn by the GUI.  
 * <p>
 * Copyright (c) 1993-2001 C. R. Coullard, D. S. Dilworth, J. H. Owen,
 * All Rights Reserved.
  * 
 * @see UserIO
 *
 * @version 	4.0a 2004 08 27
 * @author 	    D. S. Dilworth
 */



public class UiNodeInfo implements java.io.Serializable
{
    /** The color to draw this node */
    public Color color;
    /** The text label for this node */
    public String label;
    
    /** true if the node should be drawn */
    public boolean visible;
    /** The radius of the node */
    public int     radius;
    /** The x coordinate of the node */
    public int x;
    /** The y coordinate of the node */
    public int y;
  
    /** Internal method */
    public UiNodeInfo()
    {
    }
    
    /** Internal method */
    public UiNodeInfo(String label, Color color)
    {
        this.label=label;
        this.color=color;
    }
    
    /** Internal method */
    synchronized public UiNodeInfo UiClone()
    {
        UiNodeInfo clone = null;
        
        try
        {
            clone = (UiNodeInfo)this.clone();
        }
        catch(CloneNotSupportedException ex)
        {
            System.out.println("UiNodeInfo.Clone() failed");
            System.exit(1);
        }
        return clone;
    }
    
    
}
