package  giden.CORE;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;

import java.awt.*;
import java.awt.event.*;

public class UiSolverResultChoice extends UiSolverResultRow
{
    UiChoice Options;
    UiLabel Extra;
    
    public UiSolverResultChoice(String name, LinkList options,UiSolverResult dialog)
    {
        super(name,dialog);
        CreateObject(name,options,null,dialog);
    }
    public UiSolverResultChoice(String name, LinkList options,String nominal,UiSolverResult dialog)
    {
        super(name,dialog);
        CreateObject(name,options,nominal,dialog);
    }
    
    void CreateObject(String name, LinkList options,String nominal,UiSolverResult dialog)
    {
        Extra = new UiLabel(" ");
        Extra.addMouseListener(dialog);
        Options = new UiChoice();
        Options.addMouseListener(dialog);
        ListIter lit = new ListIter(options);
        Object item;
        for(item=lit.GetFirstItem();item!=null;item=lit.GetNextItem())
        {
            Options.add((String)item);
        }
        if(nominal!=null)
            Options.select(nominal);
    }
    
    
    void Build()
    {
        add(Name);
        add(Options);
        add(Extra);
        add(Help);
    }
    Dimension GetInfoSize()
    {
        return Options.getSize();
    }
    void PutSize(int height, int name, int info, int extra, int help)
    {
        Name.PutSize(new Dimension(name,height));
        Options.PutSize(new Dimension(info,height));
        Extra.PutSize(new Dimension(extra,height));
    }
    public String GetChoice()
    {
        return Options.getSelectedItem();
    }
    Dimension GetExtraSize()
    {
        return Extra.getSize();
    }
    
}
