package  giden.CORE;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;

import java.awt.*;
import java.awt.event.*;


public class UiSolverResultEdge extends UiSolverResultChoice implements ActionListener
{
    UserBase UserInfo;
    UiSolverResult Dialog;
    UiButton Extra;
    
    public UiSolverResultEdge(String name, LinkList options, UserBase user,UiSolverResult dialog)
    {
        super(name,options,dialog);
        Extra = new UiButton("...");
        Extra.addMouseListener(dialog);
        UserInfo=user;
        Dialog=dialog;
        Extra.addActionListener(this);
    }
    void Build()
    {
        add(Name);
        add(Options);
        add(Extra);
        add(Help);
    }
    void PutEdgeClick(Edge edge)
    {
        if(edge!=null)
            Options.select("E"+edge.GetIndex());
    }
    Dimension GetInfoSize()
    {
        return Options.getSize();
    }
    void PutSize(int height, int name, int info, int extra, int help)
    {
        Name.PutSize(new Dimension(name,height));
        Options.PutSize(new Dimension(info,height));
        Extra.PutSize(new Dimension(extra,height));
    }
    public void actionPerformed(ActionEvent event)
    {
        Dialog.UserMouseEdgeInput("Click Edge",this);
    }
    Dimension GetExtraSize()
    {
        return Extra.getSize();
    }
}
