package giden.GRDS;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;


/**
 * Copyright (c) 1993-2004 C. R. Coullard, D. S. Dilworth, J. H. Owen,
 * All Rights Reserved.
 * <BR>
 * We make no representations or warranties about the suitability of
 * the software, either express or implied, including but not limited
 * to the implied warranties of merchantability, fitness for a
 * particular purpose, or non-infringement. We shall not be liable for
 * any damages suffered by user as a result of using, modifying or
 * distributing this software or its derivatives.
 * <p>
 * @see Graph
 *
 * @version 	4.0a 2004 08 27
 * @author 	    D. S. Dilworth
 */



public class GraphState
{
    private int NodeIndex;
    private int EdgeIndex;
    private Network Original;

    //----------------------------------------------------------
    /** Creates a GraphState object from the given graph
     * @param graph  The graph whose state should be stored */
    //----------------------------------------------------------
    public GraphState(Network network)
    {
        Original=network;
        NodeIndex=Original.GetNodeIndex();
        EdgeIndex=Original.GetEdgeIndex();
    }
    //----------------------------------------------------------
    /** Restores the graph to its previous state */
    //----------------------------------------------------------
    public void Restore()
    {
        Original.Restore(this);
    }
    int GetNodeIndex()
    {
        return NodeIndex;
    }
    int GetEdgeIndex()
    {
        return EdgeIndex;
    }
}

