package  giden.GUI;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;

import java.util.Enumeration;
import java.util.Vector;

public class SolverInputItem {
    public static final int UNDEFINED_TYPE     = -1;
    public static final int EDGE_ARRAY         =  1;
    public static final int NODE_ARRAY         =  2;
    public static final int INTEGER_EDGE_ARRAY =  3;
    public static final int INTEGER_NODE_ARRAY =  4;

    private int    type;     // solver specified data type
    private String desc;     // solver specified description of input item
    private String name;     // name of default or current item
    private Object data;     // actual data for input item
    
    SolverInputItem(int type, String desc, String name) {
        this.type = type;
        this.desc = new String(desc);
        this.name = new String(name);
        this.data = (Object) null;
    }

    public void setInputItem(String name, Object data) {
        this.name = new String(name);
        this.data = data;
    }

    public int getType() {
        return type;
    }

    public String getDescription() {
        return new String(desc);
    }

    public String getName() {
        return new String(name);
    }

    public Object getData() {
        return data;
    }
}
