package giden.GRDS;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;

/**
 * Copyright (c) 1993-2004 C. R. Coullard, D. S. Dilworth, J. H. Owen,
 * All Rights Reserved.
 * <BR>
 * We make no representations or warranties about the suitability of
 * the software, either express or implied, including but not limited
 * to the implied warranties of merchantability, fitness for a
 * particular purpose, or non-infringement. We shall not be liable for
 * any damages suffered by user as a result of using, modifying or
 * distributing this software or its derivatives.
 * <p>
 * Bounded queque is queue whose maximum size is defined
 * when the queue is created.  The current bounded queue
 * implementation is based on the Queue class and does not
 * utilize the maximum size information.  This
 * class may implement the bounds information in the future.
 *
 * @see Network
 * @see PQList
 * @see Queue
 *
 * @version 	4.0a 2004 08 27
 * @author 	    D. S. Dilworth
 *
 */


/*===============================================================
===============================================================*/
public class BoundedQueue extends Queue
{
    //-----------------------------------------------------------
    /** Creates a bounded queue with a maximum size.  This class
     *  has the same methods as the Queue class.
     * @param maxsize  The bounds on this queue
     * @see Queue */
    //-----------------------------------------------------------

    public BoundedQueue(int maxsize)
    {
    }
}
