package giden.GUI;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;

import java.awt.Point;

public class GUIUserUtil {
    public static int getEuclideanDistance(GUINode i, GUINode j) {
        // calculate euclidean distance between nodes
        Point c1 = i.getCenterPoint();
        Point c2 = j.getCenterPoint();
        return (int) Math.sqrt((c1.x-c2.x)*(c1.x-c2.x) +
                               (c1.y-c2.y)*(c1.y-c2.y));
    }

    public static int getEuclideanDistance(UiNode i, UiNode j) {
        if (i instanceof GUINode && j instanceof GUINode)
            return getEuclideanDistance((GUINode) i, (GUINode) j);
        else
            return -1;
    }
}
