#!/bin/bash


echo "Setting up GIDEN file structure"
rm -rf giden
cp -R MasterCopy/giden .
rm -rf bin
mkdir bin
cd bin
mkdir -p giden/CORE/gidenPC
mkdir -p giden/GUI/gidenNETS

cp -R ../giden/CORE/gidenPC giden/CORE
cp ../giden/CORE/*.html  giden/CORE
cp -R ../giden/GUI/gidenNETS giden/GUI
cp -R ../giden/GUI/image giden/GUI/
cp -R ../giden/GUI/icons giden/GUI/

cp -R ../giden/userPC giden
cp -R ../giden/userSOLVERS giden
cp -R ../giden/contrib giden

mkdir GidenClass
cp -R ../giden GidenClass

echo "Finished copying GIDEN file structure"

echo "Compiling GIDEN"
javac -source 1.4 -d ./  -sourcepath ../ ../giden/GUI/GIDEN.java
echo "Done Compiling"
echo "Zipping"
jar cfe GidenMain.jar  giden.GUI.GIDEN giden*
cd ../



