package giden.CORE;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;
/*
 * Copyright (c) 1993-1998 D. S. Dilworth, C. R. Coullard, J. H. Owen,
 * All Rights Reserved.
 *
 * WE MAKE NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. WE SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY USER AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */


import java.awt.*;

/*===============================================================
|
===============================================================*/
public class ExecBase
{
    Network Net;
    UserBase BaseUserInfo;  // remove link
    
    public ExecBase(UserBase user)
    {
        BaseUserInfo=user;
    }
    public boolean ValidateInput()
	{
        return true; // owenj (27-May-1999); used to check problem input data
    }
    public final void PreSetup(Network net)
    {
        Net = net;
    }
    public boolean Setup(Network net)
    {
        return true;
    }
    public boolean Execute()
    {
        return true;
    }
    public boolean Shutdown()
    {
        return true;
    }
    public final void PostShutdown()
    {
    }
    public Network GetNet()
    {
        return Net;
    }
    public String CreatePathToFile(String file)
    {
        String dotname = getClass().getName();
        String slashname = dotname.replace('.','/');
        int lastslash=slashname.lastIndexOf('/');
        String pathtofile="/"+slashname.substring(0,lastslash+1)+"DialogSolverEdge.html";
        return pathtofile;
        
    }
}


