package  giden.CORE;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;

import java.awt.*;
import java.awt.event.*;

abstract class UiSolverResultRow extends Panel implements ActionListener
{
    UiLabel Name;
    UiButton Help;
    UiSolverResult Dialog;
    GdnTextWindow HelpWindow;
    UiSolverResultRow(String name,UiSolverResult dialog)
    {
        Dialog=dialog;
        Name = new UiLabel(name);
        //Name.addMouseListener(dialog);
        Help = new UiButton("Help");
        Help.addActionListener(this);
        HelpWindow=null;
    }
    public void actionPerformed(ActionEvent event)
    {
        HelpWindow = new GdnTextWindow(null,"FeatureMainHelp.txt","Feature Main Help",Dialog.GetBottomLeft(),400,200);
        HelpWindow.makeVisible(true);
    }
    public void Terminate()
    {
        if(HelpWindow!=null)
            HelpWindow.dispose();
    }
    
    abstract void Build();
    abstract void PutSize(int height, int name, int info, int extra, int help);
    abstract Dimension GetExtraSize();
    abstract Dimension GetInfoSize();
}


