package giden.GRDS;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;

/**
 * Copyright (c) 1993-2004 C. R. Coullard, D. S. Dilworth, J. H. Owen,
 * All Rights Reserved.
 * <BR>
 * We make no representations or warranties about the suitability of
 * the software, either express or implied, including but not limited
 * to the implied warranties of merchantability, fitness for a
 * particular purpose, or non-infringement. We shall not be liable for
 * any damages suffered by user as a result of using, modifying or
 * distributing this software or its derivatives.
 * <p>
 * Index is a class used by its derived classes (for example,
 * the Node and Edge classes)
 * to manage a unique integer index.  An index is assigned to
 * an objects when it created (for example, in the Graph class).
 * The index is retrievable through the object (Node or Edge), but can
 * not be changed after it is created.  The index value is
 * also used by the IndexArray, NodeArray, and EdgeArray
 * classes.
 * <p>
 * Copyright (c) 1993-2003 C. R. Coullard, D. S. Dilworth, J. H. Owen,
 * All Rights Reserved.
 *
 * @see Edge
 * @see EdgeArray
 * @see Graph
 * @see IndexArray
 * @see Network
 * @see Node
 * @see NodeArray
 *
 * @version 	4.0a 2004 08 27
 * @author 	    D. S. Dilworth
 */

/*===============================================================
===============================================================*/
public class Index implements java.io.Serializable
{
    private int Indx;
    //----------------------------------------------------------
    /** Creates an Index object and assigns its integer index
     */
    //----------------------------------------------------------
    public Index(int index)
    {
        Indx=index;
    }
    //----------------------------------------------------------
    /** Gets the integer index for this object
     * @return The integer index for this object */
    //----------------------------------------------------------
    public int GetIndex()
    {
        return Indx;
    }
}

