package  giden.GRDS;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;

public final class TX
{
    public static void Show(String str)
    {
        //        System.out.println(str);
        GIDEN.out.println(str);
    }
    static void Add(String str)
    {
        //        System.out.print(str);
        GIDEN.out.print(str);
    }

    //==============================
    // default precision conversions
    //==============================
    static public String S(int value)
    {
        return String.valueOf(value);
    }
    static public String XY(int x,int y)
    {
        return "("+S(x)+","+S(y)+")";
    }
    static public String XY(float x,float y)
    {
        return "("+S(x)+","+S(y)+")";
    }

    static public String S(float value)
    {
        return String.valueOf(value);
    }
    static public String S(float value, int width, int decimal)
    {
        return W(String.valueOf(value),width,decimal);
    }

    //===============================
    // settable precision conversions
    //===============================
    static public String S(int value, int width)
    {
        return W(S(value),width);
    }
    static public String XY(int x,int y,int width)
    {
        return "("+S(x,width)+","+S(y,width)+")";
    }
    static public String XY(float x,float y,int width)
    {
        return "("+S(x,width)+","+S(y,width)+")";
    }
    static public String XY(float x,float y,int width, int decimal)
    {
        return "("+S(x,width,decimal)+","+S(y,width,decimal)+")";
    }

    static public String S(float value, int width)
    {
        return W(S(value),width);
    }
    static public String W(String text, int width)
    {
        int length;

        if(width<0)     // fill to left
        {
            length=-width;
            while(text.length()<length)
	            text=" "+text;
        }
        else            // fill to right
        {
            length=width;
    	    while(text.length()<length)
                text=text+" ";
        }
        return text;
    }
    static public String W(String text, int width, int decimal)
    {
        int i;
        int length;
        int decindex;
        String temp;
        String decstring;
        String result;

        decindex=text.indexOf('.');
        if(decindex!=-1)
        {
            if(decimal==0)
                decstring="";
            else
            {
                temp=text.substring(decindex+1);
                length=temp.length();
                if(length<decimal)
                {
                    for(i=0;i<(decimal-length);i++)
                        temp=temp+"0";
                    decstring=temp;
                }
                else
                    decstring=temp.substring(0,decimal);
                decstring="."+decstring;
            }
            result=W(text.substring(0,decindex)+decstring,width);
        }
        else
            result=W(text,width);
        return result;
    }






}

