package giden.GUI;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;

import java.awt.*;

public class GUIEdgeInfo extends UiEdgeInfo implements Cloneable, java.io.Serializable {
    
    
    
    transient public GUIController gui_controller;
    transient public GUIDrawCanvas canvas;
    
    public Edge edge = null;
    public boolean directed;
    
    public Font    font;
    //public String  label;  dsd 990314
    
    



    public int     thickness;
    
    
    // private (?) info
    public TextField textfield = null;
    public Panel     textfield_panel = null;
    public boolean   show_textfield = false;
    
    public int current_tool = GUIController.UNKNOWN_TOOL;
    
    public double arrow_rotation_angle;
    public int arrowX;
    public int arrowY;
    
    public boolean label_selected = false;
    public boolean spline_selected = false;
    public int sel_offset_X = 0;
    public int sel_offset_Y = 0;
    
    public boolean in_group_selection = false;
    
    GUIEdgeInfo() {
        super("",GUIDrawCanvas.defaultItemColor);
    }

    GUIEdgeInfo(GUIController gui_controller,
                GUIDrawCanvas canvas,
                boolean       directed,
                boolean       visible,
                Font          font,
                String        label,
                Color         color,
                int           thickness) {
        super(label,color);
        
        this.gui_controller = gui_controller;
        this.canvas         = canvas;
        this.directed       = directed;
        this.visible        = visible;
        this.font           = font;
        this.thickness      = thickness;
    }
    
    synchronized GUIEdgeInfo Clone() {
        GUIEdgeInfo clone = null;
        
        try {
            clone = (GUIEdgeInfo)this.clone();
        } catch(CloneNotSupportedException ex) {
            GIDEN.out.println("GUIEdgeInfo.Clone() failed");
            System.exit(1);
        }
        
        return clone;
    }
    
    /***********************************************************************/
    /***********************************************************************/
}
