package giden.GUI;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;

import java.awt.*;

abstract class GUIInfoGHTML {
    private static final String BOLD_FONT_BEGIN_STRING        = "<b>";
    private static final String BOLD_FONT_END_STRING          = "</b>";
    private static final String ITALIC_FONT_BEGIN_STRING      = "<i>";
    private static final String ITALIC_FONT_END_STRING        = "</i>";
    private static final String BOLDITALIC_FONT_BEGIN_STRING  = "<bi>";
    private static final String BOLDITALIC_FONT_END_STRING    = "</bi>";
    private static final String FIXED_WIDTH_FONT_BEGIN_STRING = "<tt>";
    private static final String FIXED_WIDTH_FONT_END_STRING   = "</tt>";
    private static final String HEAD1_BEGIN_STRING            = "<h1>";
    private static final String HEAD1_END_STRING              = "</h1>";
    private static final String HEAD2_BEGIN_STRING            = "<h2>";
    private static final String HEAD2_END_STRING              = "</h2>";
    private static final String PARAGRAPH_BEGIN_STRING        = "<p>";
    private static final String PARAGRAPH_END_STRING          = "</p>";
    private static final String PARAGRAPH_STRING              = "<p>";
    private static final String BREAK_STRING                  = "<br>";
    private static final String RULE_STRING                   = "<hr>";
    private static final String UNORDERED_LIST_BEGIN_STRING   = "<ul>";
    private static final String UNORDERED_LIST_END_STRING     = "</ul>";
    private static final String ORDERED_LIST_BEGIN_STRING     = "<ol>";
    private static final String ORDERED_LIST_END_STRING       = "</ol>";
    private static final String LIST_ITEM_STRING              = "<li>";
    
    public static final int UNKNOWN_GHTML_TOKEN               = -1;
    public static final int BOLD_FONT_BEGIN                   =  0;
    public static final int BOLD_FONT_END                     =  1;
    public static final int ITALIC_FONT_BEGIN                 =  2;
    public static final int ITALIC_FONT_END                   =  3;
    public static final int BOLDITALIC_FONT_BEGIN             =  4;
    public static final int BOLDITALIC_FONT_END               =  5;
    public static final int FIXED_WIDTH_FONT_BEGIN            =  6;
    public static final int FIXED_WIDTH_FONT_END              =  7;
    public static final int HEAD1_BEGIN                       =  8;
    public static final int HEAD1_END                         =  9;
    public static final int HEAD2_BEGIN                       = 10;
    public static final int HEAD2_END                         = 11;
    public static final int PARAGRAPH_BEGIN                   = 12;
    public static final int PARAGRAPH_END                     = 13;
    public static final int PARAGRAPH                         = 14;
    public static final int BREAK                             = 15;
    public static final int RULE                              = 16;
    public static final int UNORDERED_LIST_BEGIN              = 17;
    public static final int UNORDERED_LIST_END                = 18;
    public static final int ORDERED_LIST_BEGIN                = 19;
    public static final int ORDERED_LIST_END                  = 20;
    public static final int LIST_ITEM                         = 21;
    
    private static final String[] tokens = {BOLD_FONT_BEGIN_STRING,
                                            BOLD_FONT_END_STRING,
                                            ITALIC_FONT_BEGIN_STRING,
                                            ITALIC_FONT_END_STRING,
                                            BOLDITALIC_FONT_BEGIN_STRING,
                                            BOLDITALIC_FONT_END_STRING,
                                            FIXED_WIDTH_FONT_BEGIN_STRING,
                                            FIXED_WIDTH_FONT_END_STRING,
                                            HEAD1_BEGIN_STRING,
                                            HEAD1_END_STRING,
                                            HEAD2_BEGIN_STRING,
                                            HEAD2_END_STRING,
                                            PARAGRAPH_BEGIN_STRING,
                                            PARAGRAPH_END_STRING,
                                            PARAGRAPH_STRING,
                                            BREAK_STRING,
                                            RULE_STRING,
                                            UNORDERED_LIST_BEGIN_STRING,
                                            UNORDERED_LIST_END_STRING,
                                            ORDERED_LIST_BEGIN_STRING,
                                            ORDERED_LIST_END_STRING,
                                            LIST_ITEM_STRING};
    
    public static int getToken(String str) {
        for (int i=0 ; i < tokens.length ; i++) 
            if (tokens[i].equalsIgnoreCase(str))
                return i;
        
        return UNKNOWN_GHTML_TOKEN;
    }
    
    public static int getMaxToken() {
        return tokens.length;
    }
}
