package giden.CORE;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;

public class GdnResultsWriterV3 extends GdnNetworkWriterV3
{
    LinkList NodeArrayList;
    LinkList EdgeArrayList;
    LinkList NamedObjectList;
    UserIO   UserInfo;
    
    public GdnResultsWriterV3(String path, String filename)
    {
        super(path,filename);
        NodeArrayList = new SingleLinkList();
        EdgeArrayList = new SingleLinkList();
        NamedObjectList = new SingleLinkList();
    }
    public void AddNodeArray(NodeArray array)
    {
        NodeArrayList.AddItem(array);
    }
    public void AddEdgeArray(EdgeArray array)
    {
        EdgeArrayList.AddItem(array);
    }
    public void AddNamedObject(NamedObject object)
    {
        NamedObjectList.AddItem(object);
    }
    public void PutUserIO(UserBase user_base)
    {
        UserInfo=(UserIO)user_base;
    }
    public boolean Write()
    {
        boolean result=true;
        ListIter lit;
        int index;
        Object obj;
        
        index=0;
        lit = new ListIter(NodeArrayList);
        NodeArray node_arrays[] = new NodeArray[NodeArrayList.GetSize()];
        for(obj=lit.GetFirstItem();obj!=null;obj=lit.GetNextItem())
            node_arrays[index++]=(NodeArray)(obj);
        
        index=0;
        lit = new ListIter(EdgeArrayList);
        EdgeArray edge_arrays[] = new EdgeArray[EdgeArrayList.GetSize()];
        for(obj=lit.GetFirstItem();obj!=null;obj=lit.GetNextItem())
            edge_arrays[index++]=(EdgeArray)(obj);

        index=0;
        lit = new ListIter(NamedObjectList); 
        NamedObject named_objects[] = new NamedObject[NamedObjectList.GetSize()];
        for(obj=lit.GetFirstItem();obj!=null;obj=lit.GetNextItem())
            named_objects[index++]=(NamedObject)(obj);
            
        writeFile((GUINetwork)(UserInfo.GetUiNet()),node_arrays,edge_arrays,named_objects);
        return true;
    }
   
}