package  giden.CORE;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;

import java.awt.*;
import java.awt.event.*;

/*
 * WE MAKE NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. WE SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY USER AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

/**
 * *** ndex is a class used by its derived classes (for example,
 *
 * @see RowDialogCheckbox
 * @see RowDialogChoice
 * @see RowDialogEdge
 * @see RowDialogFilename
 * @see RowDialogMain
 * @see RowDialogNode
 * @see RowDialogText
 *
 * @version 	3.0a 26 Dec 2003
 * @author 	    D. S. Dilworth
 */



public class RowDialogCheckbox extends RowDialogText
{
    RowDialogMain Dialog;
    RowEntryCheckbox Extra;
    
    public RowDialogCheckbox(String text, String info, boolean state,RowDialogMain dialog)
    {
        super(text,info,dialog);
        TextField.setEditable(false);
        Extra = new RowEntryCheckbox("",state);
        Dialog=dialog;
    }
    void Build()
    {
        add(Name);
        add(TextField);
        add(Extra);
        add(Help);
    }
    Dimension GetInfoSize()
    {
        return TextField.getSize();
    }
    void PutSize(int height, int name, int info, int extra, int help)
    {
        Name.PutSize(new Dimension(name,height));
        TextField.PutSize(new Dimension(info,height));
        Extra.PutSize(new Dimension(extra,height));
    }
    Dimension GetExtraSize()
    {
        return Extra.getSize();
    }
    boolean GetState()
    {
        return Extra.getState();
    }
}

