package  giden.CORE;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;

public class UiIndexArray implements java.io.Serializable
{
    IndexArray Array;
    UiNetwork UiNet;

    public UiIndexArray(UiNetwork uinet,IndexArray array)
    {
        UiNet = uinet;
        Array = array;
    }
    public String GetName()
    {
        return Array.GetName();
    }
    public void Fill(int value)
    {
        Array.Fill(value);
    }
    public void Fill(Object obj)
    {
        Array.Fill(obj);
    }

    public Object GetObj(UiEdge uiedge)
    {
        Edge edge = UiNet.UiEdge2Edge(uiedge);
        return Array.GetObj(edge);
    }
    public Object GetObj(UiNode uinode)
    {
        Node node = UiNet.UiNode2Node(uinode);
        return Array.GetObj(node);
    }
    
    public void Put(UiNode uinode, Object obj)
    {
        Node node = UiNet.UiNode2Node(uinode);
        Array.PutObj(node,obj);
    }
    public void Put(UiEdge uiedge, Object obj)
    {
        Edge edge = UiNet.UiEdge2Edge(uiedge);
        Array.PutObj(edge,obj);
    }
    public void Put(UiNode uinode, int value)
    {
        Node node = UiNet.UiNode2Node(uinode);
        Array.PutObj(node,new Integer(value));
    }
    public void Put(UiEdge uiedge, int value)
    {
        Edge edge = UiNet.UiEdge2Edge(uiedge);
        Array.PutObj(edge,new Integer(value));
    }
    public int GetInt(UiNode uinode)
    {
        Node node = UiNet.UiNode2Node(uinode);
        return Array.GetInt(node);
    }
    public int GetInt(UiEdge uiedge)
    {
        Edge edge = UiNet.UiEdge2Edge(uiedge);
        return Array.GetInt(edge);
    }
}
