package  giden.CORE;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
import giden.userSOLVERS.*;

import java.awt.*;
import java.awt.event.*;


public class UiSolverResultText extends UiSolverResultRow
{
    UiTextField TextField;
    UiLabel Extra;
    
    
    public UiSolverResultText(String name, String text,UiSolverResult dialog)
    {
        super(name,dialog);
        Extra = new UiLabel(" ");
        Extra.addMouseListener(dialog);
        TextField = new UiTextField(text);
        TextField.addMouseListener(dialog);
    }
    void Build()
    {
        add(Name);
        add(TextField);
        add(Extra);
        add(Help);
    }
    Dimension GetInfoSize()
    {
        return TextField.getSize();
    }
    void PutSize(int height, int name, int info, int extra, int help)
    {
        Name.PutSize(new Dimension(name,height));
        TextField.PutSize(new Dimension(info,height));
        Extra.PutSize(new Dimension(extra,height));
    }
    public String GetText()
    {
        return TextField.getText();
    }
    public int GetInt()
    {
        Integer integer = new Integer(TextField.getText());
        return integer.intValue();
    }
    
    Dimension GetExtraSize()
    {
        return Extra.getSize();
    }
    
}
