package  giden.CORE;
import giden.CORE.*;
import giden.gidenSOLVERS.*;
import giden.GRDS.*;
import giden.GUI.*;
//import giden.userSOLVERS.*;

import java.awt.Color;
import java.awt.Point;

public class UserBase
{
    protected int SetMax;
    protected int AnimationTotal;         // total entered
    protected int FinalTotal;
    protected AnimationSet AnimationArray[];  // n=SetCount
    protected FinalSet FinalArray[];  // n=SetCount
    public boolean NullBase;            // !! add method
    public SolverServices Services;
    
    /*===========================================================
    | NEW METHODS
    ===========================================================*/
    
    public Network GetNet()
    {
        return null;
    }
    
    public UiEdgeInfo GetDefaultUiEdgeInfo()
    {
        return null;
    }

    public UiNodeInfo GetDefaultUiNodeInfo()
    {
        return null;
    }
    
    public UiEdge AddEdge(Edge edge, UiEdgeInfo info)
    {
        return null;
    }
    
    public UiEdge AddEdge(Edge edge)
    {
        return null;
    }
    
    
    public UiNode AddNode(Node node, int x, int y)
    {
        return null;
    }
    public UiNode AddNode(Node node, Point pt)
    {
        return null;
    }
    public UiNode AddNode(Node node, UiNodeInfo info)
    {
        return null;
    }
    public boolean IsNodeMember(Node node)
    {
        return false;
    }
    
    
    /*=========================================================*/
    
    
    public UserBase(SolverServices services)
    {
        Clear();
        Services = services;
        NullBase=true;     // true for UserIO object
    }
    protected void Clear()
    {
        SetMax=32;
        AnimationTotal=0;
        FinalTotal=0;
        AnimationArray= new AnimationSet[SetMax];
        FinalArray= new FinalSet[SetMax];
    }
    
    /*===========================================================
    | Methods supported by UserBase
    ===========================================================*/
    /** Create a named AnimationSet and define color */
    public ColorSet CreateColorSet(Color color)
    {
        AnimationArray[AnimationTotal] = new ColorSet(color);
        return (ColorSet)AnimationArray[AnimationTotal++];
    }
    /** Create a named final AnimationSet and define color */
    public FinalSet CreateFinalSet(String label, Color color)
    {
        FinalArray[FinalTotal] = new FinalSet(label,color);
        return FinalArray[FinalTotal++];
    }
    /** Create a named AnimationSet and define color */
    public AnimationSet CreateAnimationSet(String label, Color color)
    {
        AnimationArray[AnimationTotal] = new AnimationSet(label,color);
        return AnimationArray[AnimationTotal++];
    }
    public void NotifyOfSolverWarning(String message)
    {
        Services.GUI.notifyOfSolverWarning(message);
    }
    public void NotifyOfSolverError(String message)
    {
        Services.GUI.notifyOfSolverError(message);
    }
    public void NotifyOfSolverNotice(String message)
    {
        Services.GUI.notifyOfSolverNotice(message);
    }
    /*===========================================================
    | Methods supported by UserIO
    ===========================================================*/
    
    public RowDialogMain CreateRowDialog(String name)
    {
        return null;
    }
    
    public UiSolverResult CreateSolverResult(String name)
    {
        return null;
    }
    public UiSolverResult CreateSolverResult(String name, int buttons)
    {
        return null;
    }
    
    public UiNetwork GetUiNet()
    {
        return null;
    }
    protected void ClearSetArrays()
    {
    }
    public GUISolver GetGUI()
    {
        return null;
    }
    public Point GetTopRight()
    {
        return null;        
    }
    public void Update()
    {
    }
    protected void StepUpdate()
    {
    }
    void GetNetworkDrawInfo()
    {
    }
    void AddNetworkSolverNode(UiNode node)
    {
    }
    void AddNetworkSolverEdge(UiEdge edge)
    {
    }
    void UpdateNetworkDrawInfo(UiNodeArray nodeinfo, UiEdgeArray edgeinfo)
    {
    }
    void RestoreNetwork()
    {
    }
    public void DrawNetwork()
    {
    }
    public  void CreateAnimationButtons()
    {
    }
    public void CreateFinalButtons()
    {
    }
    GUISetSwatch[] CreateAnimationSetButtons(Color colors[],String labels[],int count)
    {
        return null;
    }
    void CreateFinalButtons(Color colors[],String labels[],int count)
    {
    }
    public void StatusLine(String message)
    {
    }
    public void ClearStatusLine()
    {
    }
    public void ShowPseudoCodeText(String token)
    {
    }
    protected void PcNextUpdate()
    {
    }
    public String UserTextInput(String question,String answer)
    {
        return null;
    }
    public Point UserMouseInput(String question)
    {
        return null;
    }
    public Node UserMouseNodeInput(String prompt)
    {
        return null;
    }
    public Edge UserMouseEdgeInput(String prompt)
    {
        return null;
    }
    public UiNodeInfo GetNodeInfo(Node node)
    {
        return null;
    }
    public UiEdgeInfo GetEdgeInfo(Edge edge)
    {
        return null;
    }
    public void PutNodeInfo(Node node, UiNodeInfo info)
    {
    }
    public void PutEdgeInfo(Edge edge, UiEdgeInfo info)
    {
    }
    /** @deprecated */
    public void SetNodeColor(Node node,Color color)
    {
    }
    /** @deprecated */
    public void SetEdgeColor(Edge edge,Color color)
    {
    }
    public void PutEdgeColor(Edge edge,Color color)
    {
    }

    /** @deprecated */
    public void PutEdgeVisibilty(Edge edge,boolean visible)
    {
    }
    public void PutEdgeVisibility(Edge edge,boolean visible)
    {
    }
    public void PutLabel(Node node, String label)
    {
    }
    public void PutLabel(Node node, int label)
    {
    }
    public void PutLabel(Edge edge, String label)
    {
    }
    public void PutLabel(Edge edge, int label)
    {
    }
    public void Trace(AnimationSet set)
    {
    }
    public void SingleStep()
    {
    }
    public void SingleStep(AnimationSet set)
    {
    }
    public void SingleStep(Node node, AnimationSet set)
    {
    }
    public void SingleStep(Edge edge, AnimationSet set)
    {
    }
    public boolean MoveToSet(Node node, AnimationSet set)
    {
        return false;
    }
    public boolean MoveToSet(Edge edge, AnimationSet set)
    {
        return false;
    }
    public boolean RemoveFromSet(Node node)
    {
        return false;
    }

    public boolean RemoveFromSet(Edge edge)
    {
        return false;
    }
    
    public void MoveAll(AnimationSet set)
    {
    }
    public void CreateSolverInputDialog(String textname, ExecBase solver, Network net, GidenSolverInput input)
    {
    }
    
    
    public void PutDirected(boolean flag)
    {
    }


}