package giden.GRDS;

/*
 * WE MAKE NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. WE SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY USER AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

/**
 * NodeArray2d a base class for creating 2D NodeArrays.
 * <p>
 * Copyright (c) 2004 C. R. Coullard, D. S. Dilworth, J. H. Owen,
 * All Rights Reserved.
 *
 * @see NodeArray2dEdge
 * @see NodeArray2dInt
 *
 * @version 	1.0a 2004 Feb 01
 * @author 	    D. S. Dilworth
 */


 public class NodeArray2d
 {
    Network Net;
    int NodeCount1d;
    int NodeCount2d;
    
    NodeArray2d(Network net)
    {
        Net = net;
        NodeCount1d = net.GetCreatedNodesCount();
        NodeCount2d = NodeCount1d*NodeCount1d;
    }
    protected int GetIndex(Node node1, Node node2)
    {
        int index = node1.GetIndex()*NodeCount1d+node2.GetIndex();
        return index;
    }
    
 };
