package giden.GRDS;

/*
 * WE MAKE NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. WE SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY USER AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

/**
 * NodeArray2dEdge provides a 2D NodeArray that gets and puts integers.
 * Note: return values haven't been qualified with bounds checking.
 * <p>
 * Copyright (c) 2004 C. R. Coullard, D. S. Dilworth, J. H. Owen,
 * All Rights Reserved.
 *
 * @see NodeArray2d
 * @see NodeArray2dEdge
 *
 * @version 	1.0a 2004 Feb 01
 * @author 	    D. S. Dilworth
 */
 public class NodeArray2dInt extends NodeArray2d
 {
    int Array2d[];
 
    /** Contructs the 2D Node array */
    public NodeArray2dInt(Network net)
    {
        super(net);
        Array2d = new int[NodeCount2d];      
        
    }
    /** Puts an int into the array */
    public boolean PutInt(Node node1, Node node2, int value)
    {
        int index = GetIndex(node1,node2);
        Array2d[index] = value;
        return true;
    }
    /** Gets an int from the array */
    public int GetInt(Node node1, Node node2)
    {
        int index = GetIndex(node1,node2);
        int dist = Array2d[index];
        return dist;
    }
    
 };
 
